net.i2p.router

## Class ClientTunnelSettings

- java.lang.Object
- - net.i2p.router.ClientTunnelSettings

    public class ClientTunnelSettings
    extends Object

Wrap up the client settings specifying their tunnel criteria

### Constructor Summary

Constructors
Constructor and Description
`ClientTunnelSettings()`

### Method Summary

Methods
`TunnelPoolSettings` `getInboundSettings()`
`TunnelPoolSettings` `getOutboundSettings()`
`void` `readFromProperties(Properties props)`
`void` `setInboundSettings(TunnelPoolSettings settings)`
`void` `setOutboundSettings(TunnelPoolSettings settings)`
`String` `toString()`
`void` `writeToProperties(Properties props)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientTunnelSettings

    public ClientTunnelSettings()

### Method Detail

#### getInboundSettings

    public TunnelPoolSettings getInboundSettings()

#### setInboundSettings

    public void setInboundSettings(TunnelPoolSettings settings)

#### getOutboundSettings

    public TunnelPoolSettings getOutboundSettings()

#### setOutboundSettings

    public void setOutboundSettings(TunnelPoolSettings settings)

#### readFromProperties

    public void readFromProperties(Properties props)

#### writeToProperties

    public void writeToProperties(Properties props)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`